org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_RATINGINDICATORNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_RATINGINDICATORNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_RATINGINDICATORNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_RATINGINDICATORNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_RATINGINDICATORNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5M_RATINGINDICATORNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_RATINGINDICATORNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_RATINGINDICATORNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_RATINGINDICATORNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `UI5M_RATINGINDICATORNode` | `bindFlush(IDynamicContentBindingObject value)`
    `UI5M_RATINGINDICATORNode` | `bindIconhovered(IDynamicContentBindingObject value)`
    `UI5M_RATINGINDICATORNode` | `bindIconselected(IDynamicContentBindingObject value)`
    `UI5M_RATINGINDICATORNode` | `bindIconsize(IDynamicContentBindingObject value)`
    `UI5M_RATINGINDICATORNode` | `bindIconunselected(IDynamicContentBindingObject value)`
    `UI5M_RATINGINDICATORNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5M_RATINGINDICATORNode` | `bindMaxvalue(IDynamicContentBindingObject value)`
    `UI5M_RATINGINDICATORNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_RATINGINDICATORNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_RATINGINDICATORNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_RATINGINDICATORNode` | `bindValue(IDynamicContentBindingObject value)`
    `UI5M_RATINGINDICATORNode` | `bindVisualmode(IDynamicContentBindingObject value)`
    `UI5M_RATINGINDICATORNode` | `setActionListener(java.lang.String value)`
    `UI5M_RATINGINDICATORNode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_RATINGINDICATORNode` | `setAttributemacro(java.lang.String value)`
    `UI5M_RATINGINDICATORNode` | `setComment(java.lang.String value)`
    `UI5M_RATINGINDICATORNode` | `setConfiginfo(java.lang.String value)`
    `UI5M_RATINGINDICATORNode` | `setEnabled(boolean value)`
    `UI5M_RATINGINDICATORNode` | `setEnabled(java.lang.String value)`
    `UI5M_RATINGINDICATORNode` | `setFlush(boolean value)`
    `UI5M_RATINGINDICATORNode` | `setFlush(java.lang.String value)`
    `UI5M_RATINGINDICATORNode` | `setIconhovered(java.lang.String value)`
    `UI5M_RATINGINDICATORNode` | `setIconselected(java.lang.String value)`
    `UI5M_RATINGINDICATORNode` | `setIconsize(java.lang.String value)`
    `UI5M_RATINGINDICATORNode` | `setIconunselected(java.lang.String value)`
    `UI5M_RATINGINDICATORNode` | `setId(java.lang.String value)`
    `UI5M_RATINGINDICATORNode` | `setLayoutdata(java.lang.String value)`
    `UI5M_RATINGINDICATORNode` | `setMaxvalue(java.lang.String value)`
    `UI5M_RATINGINDICATORNode` | `setReference(java.lang.String value)`
    `UI5M_RATINGINDICATORNode` | `setRendered(boolean value)`
    `UI5M_RATINGINDICATORNode` | `setRendered(java.lang.String value)`
    `UI5M_RATINGINDICATORNode` | `setStyleseq(java.lang.String value)`
    `UI5M_RATINGINDICATORNode` | `setStylevariant(java.lang.String value)`
    `UI5M_RATINGINDICATORNode` | `setValue(java.lang.String value)`
    `UI5M_RATINGINDICATORNode` | `setVisualmode(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_RATINGINDICATORNode

          public UI5M_RATINGINDICATORNode()

  - ### Method Detail

    - #### setId

          public UI5M_RATINGINDICATORNode setId(java.lang.String value)

    - #### setActionListener

          public UI5M_RATINGINDICATORNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5M_RATINGINDICATORNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public UI5M_RATINGINDICATORNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_RATINGINDICATORNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_RATINGINDICATORNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5M_RATINGINDICATORNode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_RATINGINDICATORNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_RATINGINDICATORNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_RATINGINDICATORNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5M_RATINGINDICATORNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public UI5M_RATINGINDICATORNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5M_RATINGINDICATORNode setEnabled(boolean value)

    - #### setFlush

          public UI5M_RATINGINDICATORNode setFlush(java.lang.String value)

    - #### bindFlush

          public UI5M_RATINGINDICATORNode bindFlush(IDynamicContentBindingObject value)

    - #### setFlush

          public UI5M_RATINGINDICATORNode setFlush(boolean value)

    - #### setIconhovered

          public UI5M_RATINGINDICATORNode setIconhovered(java.lang.String value)

    - #### bindIconhovered

          public UI5M_RATINGINDICATORNode bindIconhovered(IDynamicContentBindingObject value)

    - #### setIconselected

          public UI5M_RATINGINDICATORNode setIconselected(java.lang.String value)

    - #### bindIconselected

          public UI5M_RATINGINDICATORNode bindIconselected(IDynamicContentBindingObject value)

    - #### setIconsize

          public UI5M_RATINGINDICATORNode setIconsize(java.lang.String value)

    - #### bindIconsize

          public UI5M_RATINGINDICATORNode bindIconsize(IDynamicContentBindingObject value)

    - #### setIconunselected

          public UI5M_RATINGINDICATORNode setIconunselected(java.lang.String value)

    - #### bindIconunselected

          public UI5M_RATINGINDICATORNode bindIconunselected(IDynamicContentBindingObject value)

    - #### setLayoutdata

          public UI5M_RATINGINDICATORNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5M_RATINGINDICATORNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setMaxvalue

          public UI5M_RATINGINDICATORNode setMaxvalue(java.lang.String value)

    - #### bindMaxvalue

          public UI5M_RATINGINDICATORNode bindMaxvalue(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_RATINGINDICATORNode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_RATINGINDICATORNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_RATINGINDICATORNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_RATINGINDICATORNode setRendered(boolean value)

    - #### setStyleseq

          public UI5M_RATINGINDICATORNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_RATINGINDICATORNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_RATINGINDICATORNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_RATINGINDICATORNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setValue

          public UI5M_RATINGINDICATORNode setValue(java.lang.String value)

    - #### bindValue

          public UI5M_RATINGINDICATORNode bindValue(IDynamicContentBindingObject value)

    - #### setVisualmode

          public UI5M_RATINGINDICATORNode setVisualmode(java.lang.String value)

    - #### bindVisualmode

          public UI5M_RATINGINDICATORNode bindVisualmode(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.